@extends ('layouts/template')

@section('content')

    <div class="p-3 mcp-theme-1">
    <div class="card">

        <div class="card-header px-3 py-2 d-flex align-items-center">
            <strong class="mr-4">
                <i class="fas fa-user-injured"></i>
                Supply Orders
            </strong>

        </div>
        <div class="card-body p-0">
            <table class="table table-sm table-condensed p-0 m-0">
                <thead class="bg-light">
                <tr>
                    <th>Client</th>
                    <th>Product</th>
                    <th>Reason</th>
                    <th>Client Understanding Memo</th>
                    <th>Pro Sign</th>
                    <th>Client Sign</th>
                    <th>Shipment</th>
                    <th>Lot #</th>
                    <th>IMEI</th>
                    <th>Created At</th>
                    <th>Cancelled?</th>
                </tr>
                </thead>
                <tbody>
                @foreach ($supplyOrders as $supplyOrder)
                    <tr>
                        <td>{{$supplyOrder->client->displayName()}}</a></td>
                        <td>{{$supplyOrder->product->title}}</td>
                        <td>{{$supplyOrder->reason}}</td>
                        <td>{{$supplyOrder->client_understanding_memo}}</td>
                        <td>
                            @if($supplyOrder->is_signed_by_pro)
                                <b>Signed</b>
                                <div class="text-secondary text-sm">
                                    By {{$supplyOrder->signedPro->displayName()}}<br>
                                    {{friendlier_date_time($supplyOrder->pro_signed_at)}}
                                </div>
                            @else
                                Not Signed
                            @endif
                        </td>
                        <td>
                            @if($supplyOrder->is_signed_by_client)
                                <b>Signed</b>
                                <div class="text-secondary text-sm">
                                    By {{$patient->displayName()}}<br>
                                    On {{friendlier_date_time($supplyOrder->client_signed_at)}}
                                </div>
                            @elseif($supplyOrder->is_client_signature_waived)
                                <b>Waived</b>
                                <div class="text-secondary text-sm">
                                    By {{$supplyOrder->waiverPro->displayName()}}<br>
                                    on {{friendlier_date_time($supplyOrder->client_signature_waived_at)}}
                                </div>
                            @else
                                Not Signed
                            @endif
                        </td>
                        <td>
                            @if($supplyOrder->shipment_id)
                                <i class="fa fa-building"></i>
                                {{$supplyOrder->shipment->status ? $supplyOrder->shipment->status : 'CREATED'}}
                                @if($supplyOrder->shipment && $supplyOrder->shipment->status === 'DELIVERED' && $supplyOrder->shipment->delivered_date)
                                    <div class="text-secondary text-sm">
                                    on {{friendlier_date_time($supplyOrder->shipment->delivered_date)}}
                                    </div>
                                @endif
                            @elseif($supplyOrder->is_cleared_for_shipment)
                                <i class="fa fa-user-nurse"></i>
                                Cleared for shipment
                                <div class="text-secondary text-sm">
                                    By {{$supplyOrder->clearedForShipmentPro->displayName()}}<br>
                                    on {{friendlier_date_time($supplyOrder->cleared_for_shipment_at)}}
                                </div>
                            @else
                                <i class="fa fa-user-nurse"></i>
                                Not cleared for shipment
                            @endif
                        </td>
                        <td>{{$supplyOrder->lot_number}}</td>
                        <td>{{$supplyOrder->imei}}</td>
                        <td>{{friendlier_date_time($supplyOrder->created_at)}}</td>
                        <td>{{$supplyOrder->is_cancelled ? 'Yes' : 'No'}}</td>
                    </tr>
                @endforeach
                </tbody>
            </table>
            <div>
                {{$supplyOrders->links()}}
            </div>
        </div>
    </div>
    </div>

@endsection
